Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

PhotoPost < 5.11 PHP Pro EXIF Data XSS

Medium

Synopsis

The remote host is vulnerable to a Cross-Site Scripting (XSS) attack.

Description

According to its banner, the version of PhotoPost PHP Pro installed on the remote host is prone to script insertion attacks because it does not sanitize malicious EXIF data stored in image files. Using a specially-crafted image file, an attacker can exploit this flaw to cause arbitrary HTML and script code to be executed in a user's browser within the context of the affected application.

Solution

Upgrade to version 5.11 or higher.